
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page import="lxr.marketplace.user.Login,lxr.marketplace.util.Tool,lxr.marketplace.util.ui.CommonUi"%>
<%@ page import="java.util.Map,java.util.HashMap"%>
<%@ page import="org.springframework.web.context.WebApplicationContext,org.springframework.web.context.support.WebApplicationContextUtils"%>

<%
    Map<Integer, Tool> totalTools = null;
    if (session.getAttribute("sortedToolsBasedOnUser") != null) {
        totalTools = (Map<Integer, Tool>) session.getAttribute("sortedToolsBasedOnUser");
    }
    Tool toolObject = totalTools.get(toolDBId);
    CommonUi smbrating = new CommonUi(session, toolObject.getToolId());
    String ratingStars = smbrating.getRating(toolObject.getToolId(), 2);
    Object ul = session.getAttribute("userLoggedIn");
    boolean userLoggedIn = false;
    if (ul != null) {
        userLoggedIn = (Boolean) ul;
    }
    String category = "";
    String categoryLink = "";
    if (toolObject.getCategoryid() == 1) {
        category = "PPC";
        categoryLink = "/#ppc-tools";
    } else if (toolObject.getCategoryid() == 3) {
        category = "SEO";
        categoryLink = "/#seo-tools";
    } else if (toolObject.getCategoryid() == 7) {
        category = "Social";
        categoryLink = "/#social-tools";
    } else {
        category = "E-Commerce";
        categoryLink = "/#ecommerce-tools";
    }
    pageContext.setAttribute("toolObject", toolObject);
    pageContext.setAttribute("category", category);
    pageContext.setAttribute("categoryLink", categoryLink);
%>

<!-- Open Graph Meta Tags generated by MashShare 3.4.5 - https://mashshare.net -->
<meta property="og:type" content="Tool" /> 
<meta property="og:title" content="${toolObject.tagline}" />
<meta property="og:description" content="${toolObject.toolDesc}" />
<!--<meta property="og:image" content="https://lxrmarketplace.com/resources/images/lxr-logo.png" />-->
<meta property="og:url" content="https://lxrmarketplace.com/${toolObject.toolLink}" />
<meta property="og:site_name" content="https://lxrmarketplace.com" />
<meta property="fb:app_id" content="1614126181934434" />
<!--Structured Data for all the tools Stared-->
<script type="application/ld+json">
    {
        "@context": "http://schema.org/",
        "@type": "Product",
        "name": "${toolObject.toolName}",
        "description": "${toolObject.toolDesc}",
        "logo": "https://lxrmarketplace.com/resources/images/lxr-logo.png",
        "aggregateRating": {
            "@type": "AggregateRating",
            "ratingValue": "${toolObject.toolUserInfo.avgRating}",
            "reviewCount": "${toolObject.getToolUserInfo().getToolRatedUsersCount()}"
        }
    }
</script>
<script type='application/ld+json'>
    {
        "@context": "http://schema.org",
        "@type": "BreadcrumbList",
        "itemListElement": [
            {
                "@type": "ListItem",
                "position": "1",
                "name": "lxrmarketplace.com",
                "item": "https://lxrmarketplace.com"
            },
            {
                "@type": "ListItem",
                "position": "2",
                "name": "${category}",
                "item": "https://lxrmarketplace.com${categoryLink}"

            },
            {
                "@type": "ListItem",
                "position": "3",
                "name": "${toolObject.toolName}",
                "item": "https://lxrmarketplace.com${toolObject.toolLink}",
            }
        ]
    }
</script>
<!--Structured Data for all the tools end-->

<script type="text/javascript">
    var toolDBId = ${toolObject.toolId};
    var toolUsage;
    $(document).ready(function () {

        $("#facebookShare").on('click', function () {
            var fbURL = "https://www.facebook.com/sharer/sharer.php?u=https://lxrmarketplace.com/${toolObject.toolLink}";
            fbShare(fbURL, 520, 350);
        });
    <c:choose>
        <c:when test="${toolObject.toolUserInfo.toolRatedUsersCount >=1000}">
        toolUsage = kFormatter(${toolObject.toolUserInfo.toolUsageCount}) + 'k';
        </c:when>
        <c:otherwise>
        toolUsage =${toolObject.toolUserInfo.toolUsageCount};
        </c:otherwise>
    </c:choose>
        var toolStats = ${toolObject.toolUserInfo.toolRatedUsersCount} + ' REVIEWS & ' + toolUsage + ' USERS';
        $('#toolUsageCount').html(toolStats);
        /*To append graph to display at average rating wrapper*/
    <c:if test="${toolObject.getToolUserInfo().getAvgRating() != null}">
        $('#toolRatingStarGraph').html("");
        $("#toolRatingStarGraph").html(constructRatingGraph(${toolObject.getToolUserInfo().getAvgRating()}, "averageRating"));
    </c:if>
    });
</script>
<div class="container-fluid">
    <nav style="text-align: right;padding: 3px;font-size: 12px;color: #828282 !important">
        <a class="breadcrumb-item" href="/">Home ></a>
        <span class="breadcrums Regular color2"><a class="breadcrumb-item" href="${categoryLink}">${category} ></a></span>
        <span><span class="breadcrumb-item">${toolObject.toolName}</span></span>
    </nav>
    <div class="row">

        <!--Apps start-->
        <div class="col-xs-12 col-lg-4" style="float: right;">
            <div class="pull-right">
                <c:if test="${toolObject.isIOSApp eq true}">
                    <a href="${toolObject.iosAppURL}" target="_blank">
                        <i class="fa fa-apple lxrsrt-apps"  aria-hidden="true"></i>
                    </a>
                </c:if>
                <c:if test="${toolObject.isAndroidApp eq true}">
                    <a href="${toolObject.androidAppURL}" target="_blank">
                        <i class="fa fa-android lxrsrt-apps"  aria-hidden="true"></i>
                    </a>
                </c:if>

                <i class="fa fa-share-alt lxrsrt-apps dropdown-toggle"  aria-hidden="true" data-toggle="dropdown"></i>
                <ul id="sharing-options-list" class="dropdown-menu">
                    <li id="facebookShare">
                        <i class="fa fa-facebook-official" style="color: #4267B2;" aria-hidden="true"> </i>
                        <p>Facebook</p>
                    </li>
                </ul>
            </div>
        </div>
        <!--Apps End-->

        <div class="col-xs-12  col-lg-8">
            <div class="col-xs-2 col-sm-1 col-md-1 col-lg-1" style="padding: 0px">
                <span class="badge lxrsrt-toolicon pull-left" style="background-color: ${toolObject.toolIconColor};"> <img src="/resources/images/tool-icons/${toolObject.imgPath}.png" alt="${toolObject.imgPath}.png"></span>
            </div>
            <div class="col-xs-10 col-sm-11 col-md-11 col-lg-11">
                <h2 id="toolName" style="font-family: ProximaNova-Bold;">
                    ${toolObject.toolName}
                </h2>
                <span class="label label-default" style="padding: 5px;;background-color: #F58120;">
                    ${toolObject.toolUserInfo.avgRating}
                    <span class="glyphicon glyphicon-star"></span> 
                </span>
                <span style="color: #828282; margin-left: 16px" id="toolUsageCount"> &nbsp;&nbsp;</span> 
            </div>
        </div>
    </div>
</div>
